// Compile "main.scss" as "css/main.css"

/**
 * Add custom Bootstrap styles
 */

// Bootstrap 4 Customization options: https://getbootstrap.com/docs/4.0/getting-started/theming/#sass-options
/*




/**
 * Import Bootstrap sources
 */

//@import "../node_modules/bootstrap/scss/bootstrap";

// Required
@import "../node_modules/bootstrap/scss/functions";
@import "../node_modules/bootstrap/scss/variables";
@import "../node_modules/bootstrap/scss/mixins";
@import "../node_modules/bootstrap/scss/mixins/breakpoints";

// Optional: Uncomment all components that are not needed to reduce the filesize
@import "../node_modules/bootstrap/scss/root";
@import "../node_modules/bootstrap/scss/reboot";
@import "../node_modules/bootstrap/scss/type";
@import "../node_modules/bootstrap/scss/images";
@import "../node_modules/bootstrap/scss/code";
@import "../node_modules/bootstrap/scss/grid";
@import "../node_modules/bootstrap/scss/tables";
@import "../node_modules/bootstrap/scss/forms";
@import "../node_modules/bootstrap/scss/buttons";
@import "../node_modules/bootstrap/scss/transitions";
@import "../node_modules/bootstrap/scss/dropdown";
@import "../node_modules/bootstrap/scss/button-group";
@import "../node_modules/bootstrap/scss/input-group";
@import "../node_modules/bootstrap/scss/custom-forms";
@import "../node_modules/bootstrap/scss/nav";
@import "../node_modules/bootstrap/scss/navbar";
@import "../node_modules/bootstrap/scss/card";
@import "../node_modules/bootstrap/scss/breadcrumb";
@import "../node_modules/bootstrap/scss/pagination";
@import "../node_modules/bootstrap/scss/badge";
@import "../node_modules/bootstrap/scss/jumbotron";
@import "../node_modules/bootstrap/scss/alert";
@import "../node_modules/bootstrap/scss/progress";
@import "../node_modules/bootstrap/scss/media";
@import "../node_modules/bootstrap/scss/list-group";
@import "../node_modules/bootstrap/scss/close";
@import "../node_modules/bootstrap/scss/toasts";
@import "../node_modules/bootstrap/scss/modal";
@import "../node_modules/bootstrap/scss/tooltip";
@import "../node_modules/bootstrap/scss/popover";
@import "../node_modules/bootstrap/scss/carousel";
@import "../node_modules/bootstrap/scss/spinners";
@import "../node_modules/bootstrap/scss/utilities";

/* SITE TYLE */

@import "scss/config/colors";
@import "scss/config/mini-reset";
@import "scss/config/mixins";
@import "scss/config/typography";

@import "scss/global/globals";
@import "scss/global/header";
@import "scss/global/button";
@import "scss/global/hamburger";
@import "scss/global/mobile-menu";
@import "scss/global/hero";
@import "scss/global/footer";

@import "scss/global/main";
@import "scss/global/paginate";
@import "scss/global/404";
@import "scss/global/gallery";
@import "scss/global/certificates";

@import "scss/page/strengths";
@import "scss/page/box-line";
@import "scss/page/box-50-50-black";
@import "scss/page/box-50-50-white";
@import "scss/page/infrastructure";

@import "scss/case-study/slider";
@import "scss/case-study/list";
@import "scss/case-study/menu";
@import "scss/case-study/single";

@import "scss/whyus/global";
@import "scss/whyus/manager";
@import "scss/whyus/leaders";
@import "scss/whyus/video";
@import "scss/whyus/industries";

@import "scss/career/global";
@import "scss/career/work";
@import "scss/career/values";
@import "scss/career/single";

@import "scss/news/list-post";
@import "scss/news/single";

@import "scss/services/offer";
@import "scss/services/customer";

@import "scss/contact/number";
@import "scss/contact/map";
@import "scss/contact/form";


/**
 * General
 */

img {
    vertical-align: middle;
}


/**
 * WordPress customization
 */


/* If WP-Adminbar is visible */
body.admin-bar {
    #header.fixed-top {
        top: 32px;
    }

    .edit-link a {
        color: #FFF !important;
        font-weight: normal !important;
        text-decoration: none !important;

        &::before {
            content: '\270E';
            display: inline-block;
            margin-right: 5px;
        }
    }
}

/* WordPress Embeds */

.post-thumbnail,
.wp-video,
.embed-responsive {
    margin: 5px 0;
    width: 100% !important;
}

.post,
.post-thumbnail {
    img {
        max-width: 100%;
        height: auto;
    }
}


/* Header */

.navbar-brand {
    img {
        height: 40px;
    }
}

.navbar-static-top {
    margin-bottom: $grid-gutter-width;
}


/* Main */

#main {
    margin-top: $spacer;
}


/* Footer */

#footer {
    background-color: #FFF;

    p {
        margin-top: 10px;
    }

    .menu-item {
        a {
            &[aria-current="page"] {
                color: $link-hover-color;
            }
        }
    }
}


/* Sidebar */

.widget-area {
    ul {
        list-style: none;
        padding: 0;
    }
}


/* Author */

.author-avatar {
    .avatar {
        width: 64px;
        height: auto;
    }
}

.author-info {
    margin: 40px 0;

    h2,
    h3 {
        margin-top: 0;
    }
}


/* Posts */

.sticky {
    .card {
        background-color: $gray-100;
    }
}

.entry-meta {
    font-size: small;
    margin-top: $grid-gutter-width/2;
}

.single {

    .entry-content,
    .post-navigation,
    #comments-title {
        margin: $grid-gutter-width 0;
    }
}

#comments {
    margin-top: $grid-gutter-width;
}

.comment-meta {
    height: 40px;
}

.comment-reply-title {
    margin: $grid-gutter-width 0 $grid-gutter-width/2;
}

.commentlist {
    list-style: none;
    margin: 0 auto;
    width: 68.9%;

    >li.comment {
        margin: 0 0 1.625em;
        padding: 1.625em;
        position: relative;
    }

    .children {
        list-style: none;
        margin-top: $grid-gutter-width;

        >li.comment {
            border-top: 1px solid $gray-300;
            padding-top: $grid-gutter-width;
            position: relative;
        }
    }

    .avatar {
        width: 64px;
        height: 64px;
        border-radius: 50%;
        box-shadow: 0 1px 2px $gray-600;
        padding: 0;
        position: absolute;
        top: 0;
        left: -102px;
    }

}


/* WordPress Blocks */

// Buttons

.wp-block-button {
    &.is-style-outline {
        .wp-block-button__link {
            @extend .btn;
            @extend .btn-outline-primary;
        }
    }

    &.btn-lg {
        .wp-block-button__link {
            @extend .btn-lg;
        }
    }

    &.btn-sm {
        .wp-block-button__link {
            @extend .btn-sm;
        }
    }

    .wp-block-button__link {
        @extend .btn;
        @extend .btn-primary;
        text-decoration: none;
    }
}

// Table

.wp-block-table {

    td,
    th {
        border: inherit;
    }

    table {
        @extend .table;
    }
}

// Image, Media and Text

.wp-block-image,
.wp-block-media-text__media {

    img,
    video {
        height: auto;
    }
}


/**
 * Responsive Design using "mixins/_breakpoints.scss"
 */

@media (max-width: breakpoint-max(sm)) {

    #sidebar {
        margin-top: 60px;
    }

}


/* BX SLIDER */

/** VARIABLES
===================================*/
/** RESET AND LAYOUT
===================================*/
.bx-wrapper {
    position: relative;
    padding: 0;
    *zoom: 1;
    -ms-touch-action: pan-y;
    touch-action: pan-y;
}

.bx-wrapper img {
    max-width: 100%;
    display: block;
}

.bxslider {
    margin: 0;
    padding: 0;
    /*fix flickering when used background-image instead of <img> (on Chrome)*/
    -webkit-perspective: 1000;
}

ul.bxslider {
    list-style: none;
}

.bx-viewport {
    /* fix other elements on the page moving (in Chrome) */
    -webkit-transform: translateZ(0);
}

/** VARIABLES
===================================*/
/** RESET AND LAYOUT
===================================*/
.bx-wrapper {
    position: relative;
    margin-bottom: 0px;
    padding: 0;
    *zoom: 1;
    -ms-touch-action: pan-y;
    touch-action: pan-y;
  }
  .bx-wrapper img {
    max-width: 100%;
    display: block;
    height: auto;
  }
  .bxslider {
    margin: 0;
    padding: 0;
  }
  ul.bxslider {
    list-style: none;
  }
  .bx-viewport {
    /*fix other elements on the page moving (on Chrome)*/
    -webkit-transform: translatez(0);
  }
  /** THEME
  ===================================*/
  .bx-wrapper {
    box-shadow: 0;
    border: 0;
  }
  .bx-wrapper .bx-pager,
  .bx-wrapper .bx-controls-auto {
    position: relative;
  }
  /* LOADER */
  .bx-wrapper .bx-loading {
    min-height: 50px;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2000;
  }
  /* PAGER */
  .bx-wrapper .bx-pager {
    
  }
.bx-controls {
  position: absolute;
    bottom: 50px;
    left: 130px;
    width: 100%;
}
  .bx-wrapper .bx-pager.bx-default-pager a {
    background: rgba($color: #ffffff, $alpha: 0.4);
    text-indent: -9999px;
    display: block;
    width: 15px;
    height: 15px;
    margin: 0 5px;
    outline: 0;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
  }
  .bx-wrapper .bx-pager.bx-default-pager a:hover,
  .bx-wrapper .bx-pager.bx-default-pager a.active,
  .bx-wrapper .bx-pager.bx-default-pager a:focus {
    background: white;
  }
  .bx-wrapper .bx-pager-item,
  .bx-wrapper .bx-controls-auto .bx-controls-auto-item {
    display: inline-block;
    vertical-align: bottom;
    *zoom: 1;
    *display: inline;
  }
  .bx-wrapper .bx-pager-item {
    font-size: 0;
    line-height: 0;
  }
  /* DIRECTION CONTROLS (NEXT / PREV) */
  .bx-wrapper .bx-prev {
    left: 10px;

  }
  .bx-wrapper .bx-prev:hover,
  .bx-wrapper .bx-prev:focus {
    background-position: 0 0;
  }
  .bx-wrapper .bx-next {
    right: 10px;

  }
  .bx-wrapper .bx-next:hover,
  .bx-wrapper .bx-next:focus {
    background-position: -43px 0;
  }
  .bx-wrapper .bx-controls-direction a {
    position: absolute;
    top: 50%;
    margin-top: -16px;
    outline: 0;
    width: 32px;
    height: 32px;
    text-indent: -9999px;
    z-index: 9999;
  }
  .bx-wrapper .bx-controls-direction a.disabled {
    display: none;
  }
  /* AUTO CONTROLS (START / STOP) */
  .bx-wrapper .bx-controls-auto {
    text-align: center;
  }
  .bx-wrapper .bx-controls-auto .bx-start {
    display: block;
    text-indent: -9999px;
    width: 10px;
    height: 11px;
    outline: 0;
    background: url('images/controls.png') -86px -11px no-repeat;
    margin: 0 3px;
  }
  .bx-wrapper .bx-controls-auto .bx-start:hover,
  .bx-wrapper .bx-controls-auto .bx-start.active,
  .bx-wrapper .bx-controls-auto .bx-start:focus {
    background-position: -86px 0;
  }
  .bx-wrapper .bx-controls-auto .bx-stop {
    display: block;
    text-indent: -9999px;
    width: 9px;
    height: 11px;
    outline: 0;
    background: url('images/controls.png') -86px -44px no-repeat;
    margin: 0 3px;
  }
  .bx-wrapper .bx-controls-auto .bx-stop:hover,
  .bx-wrapper .bx-controls-auto .bx-stop.active,
  .bx-wrapper .bx-controls-auto .bx-stop:focus {
    background-position: -86px -33px;
  }
  /* PAGER WITH AUTO-CONTROLS HYBRID LAYOUT */
  .bx-wrapper .bx-controls.bx-has-controls-auto.bx-has-pager .bx-pager {
    text-align: left;
    width: 80%;
  }
  .bx-wrapper .bx-controls.bx-has-controls-auto.bx-has-pager .bx-controls-auto {
    right: 0;
    width: 35px;
  }
  /* IMAGE CAPTIONS */
  .bx-wrapper .bx-caption {
    position: absolute;
    bottom: 0;
    left: 0;
    background: #666;
    background: rgba(80, 80, 80, 0.75);
    width: 100%;
  }
  .bx-wrapper .bx-caption span {
    color: #fff;
    font-family: Arial;
    display: block;
    font-size: .85em;
    padding: 10px;
  }
